Updates the work order type with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
job_type| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the job type |
string |
Required Max length: 50 |
| sales_organization_id |
Filled if specific to one organization, empty if global and can be used by all |
globally unique identifier | |
| description |
Description of the job type |
string |
Max length: 4000 |
| is_default |
Used to auto select one object when creating a jobs |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
Request Formats :
application/json, text/json
Sample:
{
"id": "0974cfba-25f9-43c0-bc45-278a12f95f42",
"name": "sample string 2",
"sales_organization_id": "bae74310-cbb8-4d7a-ae3e-10550d1263e8",
"description": "sample string 4",
"is_default": true,
"modified_dateutc": "2026-05-28T11:30:25.4283252+00:00",
"code": "sample string 7"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.